Bug 151430 - autofs/automount does not unmount after timeout expires
autofs/automount does not unmount after timeout expires
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 15:29 EST by Michael Strawbridge
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 15:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Strawbridge 2005-03-17 15:29:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
Enterprise Linux 4 automounter does not unmount directories after the timeout expires ... they remain mounted although not used anymore. Restarting the automounter manually will unmount the unused directories.

I read about this same problem related to the linux 2.6 kernel and automount 4.1.3 in the kernel.org mail archives beginning at message:

http://www.mail-archive.com/autofs@linux.kernel.org/msg03967.html

They described the same symptoms I am seeing.




Version-Release number of selected component (if applicable):
autofs-4.1.3-67

How reproducible:
Always

Steps to Reproduce:
1. Set up automounter to use "--timeout" with some value
2. mount the directory on a client system with 'ls'
3. wait for timeout to expire ... it never unmounts
  

Additional info:
Comment 1 Chris Feist 2005-03-17 15:44:32 EST
Can you provide your automount maps?  (/etc/auto.master, and any other relevant
maps).

What value are you using for --timeout?

Are you using YP or LDAP maps?
Comment 2 Michael Strawbridge 2005-03-17 15:56:06 EST
No YP or LDAP maps ... very simple ... only a single file map for home
directories. We are using "--timeout=300" from /etc/sysconfig/autofs:
DAEMONOPTIONS="--timeout=300"

auto.master
----------------------------------------
#
# $Id: auto.master,v 1.3 2003/09/29 08:22:35 raven Exp $
#
# Sample auto.master file
# This is an automounter map and it has the following format
# key [ -mount-options-separated-by-comma ] location
# For details of the format look at autofs(5).
#/misc  /etc/auto.misc --timeout=60
#/misc  /etc/auto.misc
#/net   /etc/auto.net
#
# Only home directories are automounted for now ...
/home   /etc/auto.home

-----------------------------

/etc/auto.home looks like this:
-------------------------------------
straw -rw,hard,intr home.clust.server:/san/dir1/&
mike -rw,hard,intr home.clust.server:/san/dir2/&
dave -rw,hard,intr home.clust.server:/san/dir1/&

...




Comment 3 Chris Feist 2005-03-17 16:04:54 EST
Can you provide the output of the 'service autofs status' command as well as the
contents of /etc/sysconfig/autofs

Thanks,
Chris
Comment 4 Michael Strawbridge 2005-03-17 18:29:08 EST
$ service autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount --timeout=300 /home file /etc/auto.home

Active Mount Points:
--------------------
/usr/sbin/automount --timeout=300 /home file /etc/auto.home

*************************************************************

$ cat /etc/sysconfig/autofs
# Define custom options in /etc/sysconfig/autofs
# Use LOCALOPTIONS for defining variables, e.g. OSREL
# Use DAEMONOPTIONS to define the unmount timeout
# Define UNDERSCORETODOT as 1 to convert
#     auto_home to auto.home and auto_mnt to auto.mnt
# Mount options, e.g. rsize=8192, should go in auto.master or
#     the auto_* map entry for a specific mount point
#
LOCALOPTIONS=""
DAEMONOPTIONS="--timeout=300"

#  UNDERSCORETODOT changes auto_home to auto.home and auto_mnt to auto.mnt
UNDERSCORETODOT=1
DISABLE_DIRECT=1

Comment 5 Chris Feist 2005-03-31 11:07:26 EST
Can you cd into that directory.  Verify that it's mounted.  Then cd to '/'. 
Then run 'lsof | grep home'.  Then wait 400 seconds without doing anything,
verify that the directory is still mounted and run 'lsof | grep home' again. 
Can you post the output of both runs of lsof?
Comment 6 Michael Strawbridge 2005-03-31 15:17:41 EST
This is an active system, so there are quite a few home directories mounted
already. The test case was to mount a home directory not already mounted ...
I ran "ls /home/hung" to get that directory mounted ... checked ... verified it
mounted ... cd / and ran 'lsof | grep home' and got this:

tcsh       1233     fang  cwd       DIR       0,33     4096    2113537
/home/fang (home.clust.nist.gov:/san/ocio/fang)
automount  2357     root    5r      DIR       0,23        0       5862 /home
ssh        2500  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
gdb        2968     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
sleep      4285 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
sleep      4295 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
lamd       5672     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
tcsh       6139    straw  cwd       DIR       0,16     4096    6030044
/home/straw (home.clust.nist.gov:/san/ocio/straw)
su         6211     root  cwd       DIR       0,16     4096    6030044
/home/straw (home.clust.nist.gov:/san/ocio/straw)
bash       8176 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
ptb_diag   9864     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag   9864     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
csh       11604    dplus  cwd       DIR       0,29     4096    2801665
/home/dplus/Lovas/1 (home.clust.nist.gov:/san/pl/dplus)
ptb_diag  13178     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13178     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13888     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13888     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13941     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13941     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
bash      15125 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
ptb_diag  16022     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16022     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16209     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16209     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16342     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16342     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16761     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16761     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17153     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17153     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17265     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17265     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
bash      17879 spangler  cwd       DIR       0,21     8192     983065
/home/spangler (home.clust.nist.gov:/san/ocio/spangler)
sesh      17921     root  cwd       DIR       0,21     8192     983065
/home/spangler (home.clust.nist.gov:/san/ocio/spangler)
bash      17922     root  cwd       DIR       0,21     8192     983065
/home/spangler (home.clust.nist.gov:/san/ocio/spangler)
csh       20064  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ssh       20127  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
csh       20190  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ssh       20235  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
csh       20353  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
mpirun    20366     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ssh       20422  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ptb_diag  20982     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims  txt       REG       0,28  1142965   22609952
/home/sims/nanotech/ptb2.new.so.combino/.nfs015900200000001a
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims    4u      REG       0,28     1169   22609954
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159002200014534
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims    8u      REG       0,28        0   22609955
/home/sims/nanotech/ptb2.new.so.combino/e_prob (home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims   10u      REG       0,28        0   22609956
/home/sims/nanotech/ptb2.new.so.combino/prob_cwc (home.clust.nist.gov:/san/itl/sims)
csh       21015  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ptb_diag  21072     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
ptb_diag  21072     sims  txt       REG       0,28  1142965   22609952
/home/sims/nanotech/ptb2.new.so.combino/.nfs015900200000001a
(home.clust.nist.gov:/san/itl/sims)
bstat     21715 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
bstat     21715 operator  255r      REG       0,24      479    4276248
/home/operator/bin/.nfs004140180000000c (home.clust.nist.gov:/san/ocio/operator)
ptb_diag  23122     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
ptb_diag  23122     sims  txt       REG       0,28  1142965   22609952
/home/sims/nanotech/ptb2.new.so.combino/.nfs015900200000001a
(home.clust.nist.gov:/san/itl/sims)
tcsh      25007    straw  cwd       DIR       0,16     4096    4522016
/home/straw/genmail (home.clust.nist.gov:/san/ocio/straw)
bash      27695 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
bash      29737 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
bstat.new 30905 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
bstat.new 30905 operator  255r      REG       0,24      514    4277003
/home/operator/bin/bstat.new (home.clust.nist.gov:/san/ocio/operator)

---------------------------------

verified it was still mounted ... "mount | grep hung" then re-ran "lsof | grep
home" ... notice nothing is listed for /home/hung

tcsh       1233     fang  cwd       DIR       0,33     4096    2113537
/home/fang (home.clust.nist.gov:/san/ocio/fang)
automount  2357     root    5r      DIR       0,23        0       5862 /home
ssh        2500  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
gdb        2968     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
csh        4465     sims  cwd       DIR       0,28     4096    1196037
/home/sims/MPI_H2large3 (home.clust.nist.gov:/san/itl/sims)
sleep      5432 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
sleep      5445 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
lamd       5672     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
tcsh       6139    straw  cwd       DIR       0,16     4096    6030044
/home/straw (home.clust.nist.gov:/san/ocio/straw)
su         6211     root  cwd       DIR       0,16     4096    6030044
/home/straw (home.clust.nist.gov:/san/ocio/straw)
bash       8176 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
ptb_diag   9864     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag   9864     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
csh       11604    dplus  cwd       DIR       0,29     4096    2801665
/home/dplus/Lovas/1 (home.clust.nist.gov:/san/pl/dplus)
ptb_diag  13178     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13178     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13888     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13888     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13941     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  13941     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
bash      15125 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
ptb_diag  16022     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16022     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16209     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16209     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16342     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16342     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16761     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  16761     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17153     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17153     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17265     sims  cwd       DIR       0,28     4096   23429126
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  17265     sims  txt       REG       0,28  1907557   22609951
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159001f0000000e
(home.clust.nist.gov:/san/itl/sims)
bash      17879 spangler  cwd       DIR       0,21     8192     983065
/home/spangler (home.clust.nist.gov:/san/ocio/spangler)
sesh      17921     root  cwd       DIR       0,21     8192     983065
/home/spangler (home.clust.nist.gov:/san/ocio/spangler)
bash      17922     root  cwd       DIR       0,21     8192     983065
/home/spangler (home.clust.nist.gov:/san/ocio/spangler)
csh       20064  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ssh       20127  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
csh       20190  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ssh       20235  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
csh       20353  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
mpirun    20366     sims  cwd       DIR       0,28     4096   26853389
/home/sims/nanotech/ptb2.new.so.combino/COMBINO.TEST.2/COMBINO.TEST.2group.2
(home.clust.nist.gov:/san/itl/sims)
ssh       20422  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ptb_diag  20982     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims  txt       REG       0,28  1142965   22609952
/home/sims/nanotech/ptb2.new.so.combino/.nfs015900200000001a
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims    4u      REG       0,28     1169   22609954
/home/sims/nanotech/ptb2.new.so.combino/.nfs0159002200014534
(home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims    8u      REG       0,28        0   22609955
/home/sims/nanotech/ptb2.new.so.combino/e_prob (home.clust.nist.gov:/san/itl/sims)
ptb_diag  20982     sims   10u      REG       0,28        0   22609956
/home/sims/nanotech/ptb2.new.so.combino/prob_cwc (home.clust.nist.gov:/san/itl/sims)
csh       21015  dlehane  cwd       DIR       0,26     4096     835585
/home/dlehane (home.clust.nist.gov:/san/ocio/dlehane)
ptb_diag  21072     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
ptb_diag  21072     sims  txt       REG       0,28  1142965   22609952
/home/sims/nanotech/ptb2.new.so.combino/.nfs015900200000001a
(home.clust.nist.gov:/san/itl/sims)
bstat     21715 operator  cwd       DIR       0,24     4096    3358729
/home/operator (home.clust.nist.gov:/san/ocio/operator)
bstat     21715 operator  255r      REG       0,24      479    4276248
/home/operator/bin/.nfs004140180000000c (home.clust.nist.gov:/san/ocio/operator)
ptb_diag  23122     sims  cwd       DIR       0,28     4096   22609932
/home/sims/nanotech/ptb2.new.so.combino (home.clust.nist.gov:/san/itl/sims)
ptb_diag  23122     sims  txt       REG       0,28  1142965   22609952
/home/sims/nanotech/ptb2.new.so.combino/.nfs015900200000001a
(home.clust.nist.gov:/san/itl/sims)
tcsh      25007    straw  cwd       DIR       0,16     4096    4522016
/home/straw/genmail (home.clust.nist.gov:/san/ocio/straw)
bash      27695 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
bash      29737 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
bstat.new 30905 operator  cwd       DIR       0,24     4096    4276245
/home/operator/bin (home.clust.nist.gov:/san/ocio/operator)
bstat.new 30905 operator  255r      REG       0,24      514    4277003
/home/operator/bin/bstat.new (home.clust.nist.gov:/san/ocio/operator)

Comment 7 Chris Feist 2005-03-31 15:42:00 EST
Ok, next I need you to enable --debug on autofs.  Change the line in
/etc/sysconfig/autofs from:
DAEMONOPTIONS="--timeout=300"
to:
DAEMONOPTIONS="--timeout=300 --debug"

Also add this line to your /etc/syslog.conf file:
*.* /var/log/debug

Then restart syslog (service syslog restart)
and restart autofs (service autofs restart)

Then ls an autofs directory, make sure it's mounted then wait 400 seconds, run
df and make sure that it's still mounted.

Then take and post your /var/log/debug file from when autofs started until the
final df.
Comment 8 Michael Strawbridge 2005-04-01 07:29:42 EST
OK ... here it is. The automounted directory I used for this test is /home/hung.

Apr  1 07:17:27 raritan syslogd 1.4.1: restart (remote reception).
Apr  1 07:17:28 raritan syslog: syslogd startup succeeded
Apr  1 07:17:28 raritan kernel: klogd 1.4.1, log source = /proc/kmsg started.
Apr  1 07:17:28 raritan syslog: klogd startup succeeded
Apr  1 07:17:27 raritan syslog: syslogd shutdown succeeded
Apr  1 07:17:41 raritan autofs: automount -USR2 succeeded
Apr  1 07:18:09 raritan last message repeated 9 times
Apr  1 07:18:12 raritan autofs: automount shutdown failed
Apr  1 07:18:12 raritan automount[29459]: starting automounter version 4.1.3-67,
path = /home, maptype = file, mapname = /etc/auto.home
Apr  1 07:18:12 raritan autofs: automount startup succeeded
Apr  1 07:18:12 raritan automount[29459]: mount(bind): bind_works = 1
Apr  1 07:18:12 raritan automount[29459]: mount_autofs: already mounted
Apr  1 07:18:12 raritan automount[29459]: /home: mount failed!
Apr  1 07:18:12 raritan automount[29459]: failed to remove dir /home: Device or
resource busy
Apr  1 07:18:21 raritan kernel: SELinux: initialized (dev 0:1b, type nfs), uses
genfs_contexts
Apr  1 07:20:01 raritan crond(pam_unix)[29832]: session opened for user root by
(uid=0)
Apr  1 07:20:01 raritan crond[29833]: (root) CMD (/usr/lib/sa/sa1 1 1)
Apr  1 07:20:01 raritan crond(pam_unix)[29832]: session closed for user root
Comment 9 Chris Feist 2005-04-01 12:48:06 EST
It looks like autofs couldn't restart because /home was in use.  Try 'service
autofs stop'.  Then do a 'ps -eaf | grep automount' to make sure it's down. 
Then startup autofs ('service autofs start') and post the /var/log/debug logs.
Comment 10 Michael Strawbridge 2005-04-01 14:47:47 EST
Right ... autofs wouldn't stop because there are other /home automounted
directories. Unfortunately this is a production system and I cannot kick off all
users .. which is what is needed to relinquish all /home automount points.
Comment 11 Jeffrey Moyer 2006-02-27 12:31:36 EST
We're still waiting for debug logs on this one.
Comment 12 Jeffrey Moyer 2006-05-23 13:13:52 EDT
Is this problem still occurring?  Can you provide the requested debugging
information?

Note You need to log in before you can comment on or make changes to this bug.